<?php
//shortcode
$hp_options_arr = array('hpPostsPerSlide'=>5, 'hpSlideWidth'=>'100%', 'hpPostMargin'=>13, 'hpShowPreviousNext'=>'true', 'hpScrollSpeed'=>600, 'hpAutoSlide'=>'true',
	'hpAutoSlideDelay'=>8000, 'hpShowPlayPause'=>'true', 'hpShowPagination'=>'true', 'hpAlignPagination'=>'center', 'hpSwipeDrag'=>'false', 'hpPageStyle'=>'bullets',
	'hpThumbWidth'=>180, 'hpThumbHeight'=>120, 'hpSkin'=>'basic', 'hpAddExcerpt'=>'false', 'hpAddShadow'=>'false', 'hpExcerptNumWords'=>20, 'hpTitleHeader'=>'Recent Posts', 'hpAmountPosts'=>20,
	'hpCategories'=>array(), 'hpPostType'=>'post', 'hpTaxonomy'=>'category', 'hpName'=>'Hopos Name', "hpOrderby"=>"date", "hpOrder"=>"DESC",
	
	'hpCustomSkin'=>'
/* header */

.hp_header.custom {
	font-family:helvetica, arial;
	border-bottom:#eee solid 1px;
	margin-bottom:0px;
	background:#fff;
}


/* item */

.hp_item.custom { 
	padding-bottom:1px; 
}


/* title */

.hp_item .hp_title.custom { 
	margin-top:10px;
	margin-bottom:10px;
	text-align:center;
}
.hp_item .hp_title a.custom { 
	font-family:inherit;
	color:#7a7a7a;
	font-size:12px;
	line-height:18px;
	word-wrap:break-word;
}
.hp_item .hp_title a:hover.custom { 
	color:#999; 
}


/* excerpt */

.hp_item .hp_excerpt.custom {
	font-size:12px;
	margin-top:10px;
	color:#9e9e9e;
	padding:10px 0 0;
	border-top:#eee solid 1px;
	word-wrap:break-word;
}


/* paginate and bullets */

/* 
  Bullets that are available:  gray, blue, red, orange, green.
  example 1: bullets_square_COLOR.png
  example 2: bullets_circle_COLOR.png
*/

.hp_paginate_container.custom {
	background:#fff;
	height:35px;
	margin-top:0px;
	padding-top:10px;
	border-top:#eee solid 1px;
}
.hp_paginate .bullets_page.custom {
	background:url(../../img/bullets_circle_gray.png) no-repeat;
}
.hp_paginate .bullets_page_active.custom {
	background:url(../../img/bullets_circle_gray.png) no-repeat -14px 0;
}


/* previous and next */

.hp_previous.custom { 
	top:8px; 
	right:21px; 
	position:absolute; 
	background:#888 url(../../img/nav_next_prev.png) left top no-repeat; 
	border-radius: 50%;
}
.hp_next.custom { 
	top:8px; 
	right:0px; 
	position:absolute; 
	background:#888 url(../../img/nav_next_prev.png) right top no-repeat; 
	border-radius: 50%;
}'
);
 

//general
$hp_general_arr = array("hp_open_hopos_script"=>"open_in_footer", "hp_enable_audio"=>"false", "hpEnableCustomPostType"=>array());

//save default option values
update_option('hp_options', $hp_options_arr);
update_option('hp_general', $hp_general_arr);

//create/update table
global $wpdb;
	
$table_name = $wpdb->base_prefix . 'hopos';

if ($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {

	$sql = "CREATE TABLE " . $table_name ." (
				  id mediumint(9) NOT NULL AUTO_INCREMENT,
				  name tinytext NOT NULL,
				  settings TEXT NOT NULL,
				  custom_skin TEXT NOT NULL,
				  PRIMARY KEY (id)
			);";	

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql);
}
?>