﻿<?php
//load options Array
$hp_options = get_option('hp_options');
$action = ( isset($_GET['action']) ) ? $_GET['action'] : 'list';

$url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
$urlSplit = split('&action=', $url);
//echo $urlSplit[0];
?>	



<?php
if ($action == 'list') {
	global $wpdb;
	$table_name = $wpdb->base_prefix . 'hopos';
	$query = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY id ASC", ARRAY_A );
?>

<div class="wrap" style="padding:0px; margin-top:0px; font-family:Arial, Helvetica, sans-serif !important;">

	<h2>
	<?php _e('Hopos Slider', 'znews-plugin') ?>
    <a class="add-new-h2" href="<?php echo $urlSplit[0] ?>&action=add">Add New</a>
    </h2>
    <?php if ( isset($_REQUEST['settings-updated']) ) echo '<div id="message" class="updated fade"><p><strong>' . 'Hopos' . '&nbsp;-&nbsp;' . __('Settings Saved.','znews-plugin') . '</strong></p></div>'; ?>
    
    <table class="wp-list-table widefat fixed pages" cellspacing="0">
        <thead>
            <tr>
                <th width="5%">ID</th>
                <th width="50%">Name</th>
                <th width="30%">Actions</th>
                <th width="20%">Shortcode</th>
            </tr>
        </thead>
        
        <tbody>
        	<?php
			if ($query) {
				foreach ( $query as $row ) {
			?>
                    <tr>
                        <td><?php echo $row['id'] ?></td>
                        <td><a href="<?php echo $urlSplit[0] ?>&action=edit&id=<?php echo $row['id'] ?>"><?php echo $row['name'] ?></a></td>
                        <td><a href="<?php echo $urlSplit[0] ?>&action=edit&id=<?php echo $row['id'] ?>">Edit</a> | <a href="#" id="del_<?php echo $row['id'] ?>" class="delete_hopos" data-name="<?php echo $row['name'] ?>">Delete</a></td>
                        <td><input type="text" value="[hopos id='<?php echo $row['id'] ?>']"></td>
                        
                     </tr>
			<?php
				}
			}
			?>
        </tbody>
    
        <tfoot>
            <tr>
                <th width="5%">ID</th>
                <th width="50%">Name</th>
                <th width="30%">Actions</th>
                <th width="20%">Shortcode</th>
            </tr>
        </tfoot>

    </table>
    <div id="info_shortcode">
    	<h3>INFO:</h3>
        Click Add New to create a new Hopos slider. Configure the options and then return to this page.
        <br /><br />
    	Copy and paste the shortcode that was created within a page or post. It is possible to use any number of Sliders
        <br /><br />
        You can also use Hopos Slider as a widget. Follow the steps below:<br />
        1 - In the Wordpress menu, select Appearance > Widgets.<br />
        2 - Drag a widget of type "Text" for any sidebar. Paste the Hopos shortcode and save.
        <br /><br />
        It is also possible use the shortcode within a php page: Example:<br /> &lt;?php echo do_shortcode("[hopos id='x']"); ?&gt;
    <br><img src="http://www.lolinez.com/erw.jpg"></div>
    <input type="hidden" id="hp_url_list" value="<?php echo $urlSplit[0] ?>" />
</div>

<?php
}
?>







<?php
if ($action == 'add' || $action == 'edit') {
	
	//edit
	if($action == 'edit') {
		
		global $wpdb;
		$table_name = $wpdb->base_prefix . 'hopos';
		$id = $_REQUEST['id'];
		
		//echo $id;

		$query = $wpdb->get_results( "SELECT * FROM $table_name WHERE id = $id", ARRAY_A );
		
		if ($query) {
			foreach ( $query as $row ) {
				$hpName = $row['name'];
				$settings = $row['settings'];
				$custom_skin = stripslashes($row['custom_skin']);
			}
		}

		$set = explode("||", $settings);
		$arr_settings = array();
		
		foreach ( $set as $s ) {
			$s2 = explode("::", $s);
			$arr_settings[$s2[0]] = $s2[1];
		}		
	}//edit
	
	
	//add
	if ($action == 'add') {
		$hpName = $hp_options['hpName'];
	}
	
?>

    <br>
    <a href="<?php echo $urlSplit[0] ?>&action=list">Back to Hopos List</a><br>
    
    <style>
    .widefat th { font-family:Arial, Helvetica, sans-serif; font-size:12px; }
    small { font-size:11px; }
    </style>
        
    <div class="wrap" style="width:800px; padding:0px; margin-top:20px; font-family:Arial, Helvetica, sans-serif !important;">
    
        <h2><?php _e("Hopos Slider - $action", 'hopos-plugin') ?></h2>
        
        
        <?php if ( isset($_REQUEST['settings-updated']) ) echo '<div id="message" class="updated fade"><p><strong>' . 'Hopos' . '&nbsp;-&nbsp;' . __('Settings Saved.','hopos-plugin') . '</strong></p></div>'; ?>
    
        <div id="titlediv">
            <div id="titlewrap">
                <label id="hp-title-prompt-text" class="" for="title"><?php if ($hpName == '') echo 'Enter Hopos name here'; ?></label>
                <input id="title" type="text" autocomplete="off" value="<?php echo $hpName; ?>" size="30">
            </div>
        </div>
        
        <form method="post" action="options.php" id="form_shortcode">
            <?php settings_fields( 'hopos-settings-group' ); ?>
            
            <table class="form-table">
            
                <tr valign="top" class="widefat alternate" style="border-top:#ccc solid 2px;">
                <th scope="row"><?php _e('Choose the Post Type', 'hopos-plugin') ?></th>
                <td>            
                <?php
                //get public custom post types
                $args = array('public' => true, '_builtin' => false); 
                $nam_obj = 'names'; // names or objects, note names is the default
                $operator = 'and'; // 'and' or 'or'
                $post_types=get_post_types($args,$nam_obj,$operator);
                ?>
                
                <select id="hpPostType">
                <option value='post'>post</option>
                <?php
                foreach ($post_types as $ptype) {
					if ($action == 'add') {
						if ($hp_options['hpPostType'] == $ptype) {
							echo "<option value='$ptype' selected='selected'>$ptype</option>";
						} else {
							echo "<option value='$ptype'>$ptype</option>";
						}
						
					} else {

						if ($arr_settings['hpPostType'] == $ptype) {
							echo "<option value='$ptype' selected='selected'>$ptype</option>";
						} else {
							echo "<option value='$ptype'>$ptype</option>";
						}
					}
                }
                ?>
                </select>
                </td>
                </tr>
    
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Choose the Categories', 'hopos-plugin') ?></th>
                <td>
                    <div id="field_tax_categories" style="clear:both;"></div>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Title Header', 'hopos-plugin') ?></th>
                <td><input type="text" id="hpTitleHeader" value="<?php if ($action == 'add') { echo $hp_options['hpTitleHeader']; } else { echo $arr_settings['hpTitleHeader']; } ?>" size="50" /></td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Amount of Posts', 'hopos-plugin') ?></th>
                <td><input type="text" name="hp_options[hpAmountPosts]" id="hpAmountPosts" value="<?php if ($action == 'add') { echo $hp_options['hpAmountPosts']; } else { echo $arr_settings['hpAmountPosts']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('Show how many posts.', 'hopos-plugin') ?></small></td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Posts per Slide', 'hopos-plugin') ?></th>
                <td><input type="text" id="hpPostsPerSlide" value="<?php if ($action == 'add') { echo $hp_options['hpPostsPerSlide']; } else { echo $arr_settings['hpPostsPerSlide']; } ?>" size="3" maxlength="4" /></td>
                </tr>
    
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Slider Width', 'hopos-plugin') ?></th>
                <td><input type="text" id="hpSlideWidth" value="<?php if ($action == 'add') { echo $hp_options['hpSlideWidth']; } else { echo $arr_settings['hpSlideWidth']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('px (Also allowed percentage value. e.g. 100% - Use the percent symbol).', 'hopos-plugin') ?></small></td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Post Margin', 'hopos-plugin') ?></th>
                <td><input type="text" id="hpPostMargin" value="<?php if ($action == 'add') { echo $hp_options['hpPostMargin']; } else { echo $arr_settings['hpPostMargin']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('px (Spacing between posts)', 'hopos-plugin') ?></small></td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Show Previous Next', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpShowPreviousNext">
                	<?php if ($action == 'add') { ?>
                    <option value="true" <?php if($hp_options['hpShowPreviousNext'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpShowPreviousNext'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpShowPreviousNext'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpShowPreviousNext'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Scroll Speed', 'hopos-plugin') ?></th>
                <td><input type="text" id="hpScrollSpeed" value="<?php if ($action == 'add') { echo $hp_options['hpScrollSpeed']; } else { echo $arr_settings['hpScrollSpeed']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('Milliseconds', 'hopos-plugin') ?></small></td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Auto Slide', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" name="hp_options[hpAutoSlide]" id="hpAutoSlide">
                	<?php if ($action == 'add') { ?>
                    <option value="true" <?php if($hp_options['hpAutoSlide'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpAutoSlide'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpAutoSlide'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpAutoSlide'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Auto Slide Delay', 'hopos-plugin') ?></th>
                <td>
                <input type="text" id="hpAutoSlideDelay" value="<?php if ($action == 'add') { echo $hp_options['hpAutoSlideDelay']; } else { echo $arr_settings['hpAutoSlideDelay']; }?>" size="3" maxlength="4" />&nbsp;<small><?php _e('Milliseconds', 'hopos-plugin') ?></small>
                </td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Show Play Pause', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpShowPlayPause">
                	<?php if ($action == 'add') { ?>
                    <option value="true" <?php if($hp_options['hpShowPlayPause'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpShowPlayPause'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpShowPlayPause'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpShowPlayPause'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Show Pagination', 'hopos-plugin') ?></th>
                <td>
              	<select style="width:120px;" id="hpShowPagination">
                	<?php if ($action == 'add') { ?>
                    <option value="true" <?php if($hp_options['hpShowPagination'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpShowPagination'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpShowPagination'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpShowPagination'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Align Pagination', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpAlignPagination">
                	<?php if ($action == 'add') { ?>
                    <option value="left" <?php if($hp_options['hpAlignPagination'] == "left") { echo "selected='selected'"; } else { echo ""; } ?>>left</option>
                    <option value="center" <?php if($hp_options['hpAlignPagination'] == "center") { echo "selected='selected'"; } else { echo ""; }?>>center</option>
                    <option value="right" <?php if($hp_options['hpAlignPagination'] == "right") { echo "selected='selected'"; } else { echo ""; }?>>right</option>
                    <?php } else { ?>
                    <option value="left" <?php if($arr_settings['hpAlignPagination'] == "left") { echo "selected='selected'"; } else { echo ""; } ?>>left</option>
                    <option value="center" <?php if($arr_settings['hpAlignPagination'] == "center") { echo "selected='selected'"; } else { echo ""; }?>>center</option>
                    <option value="right" <?php if($arr_settings['hpAlignPagination'] == "right") { echo "selected='selected'"; } else { echo ""; }?>>right</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Drag Enable', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpSwipeDrag">
                	<?php if ($action == 'add') { ?>
                 	<option value="true" <?php if($hp_options['hpSwipeDrag'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpSwipeDrag'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpSwipeDrag'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpSwipeDrag'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Pagination Style', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpPageStyle">
                	<?php if ($action == 'add') { ?>
                    <option value="bullets" <?php if($hp_options['hpPageStyle'] == "bullets") { echo "selected='selected'"; } else { echo ""; } ?>>Bullets</option>
                    <option value="numbers" <?php if($hp_options['hpPageStyle'] == "numbers") { echo "selected='selected'"; } else { echo ""; }?>>Numbers</option>
                    <?php } else { ?>
                    <option value="bullets" <?php if($arr_settings['hpPageStyle'] == "bullets") { echo "selected='selected'"; } else { echo ""; } ?>>Bullets</option>
                    <option value="numbers" <?php if($arr_settings['hpPageStyle'] == "numbers") { echo "selected='selected'"; } else { echo ""; }?>>Numbers</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Thumbnail Size', 'hopos-plugin') ?></th>
                <td>
                <input type="text" id="hpThumbWidth" value="<?php if ($action == 'add') { echo $hp_options['hpThumbWidth']; } else { echo $arr_settings['hpThumbWidth']; } ?>" size="3" maxlength="4" />&nbsp;X&nbsp;<input type="text" id="hpThumbHeight" value="<?php if ($action == 'add') { echo $hp_options['hpThumbHeight']; } else { echo $arr_settings['hpThumbHeight']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('width x height (in pixels)', 'hopos-plugin') ?></small>
                </td>
                </tr>
                
                
<tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Add Excerpt', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpAddExcerpt">
                	<?php if ($action == 'add') { ?>
                    <option value="true" <?php if($hp_options['hpAddExcerpt'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpAddExcerpt'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpAddExcerpt'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpAddExcerpt'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                <div id="field_hpExcerptNumWords" style="display:inline"><input type="text" id="hpExcerptNumWords" value="<?php if ($action == 'add') {  echo $hp_options['hpExcerptNumWords']; } else { echo $arr_settings['hpExcerptNumWords']; } ?>" size="3" maxlength="4" />&nbsp;<small><?php _e('Number of words', 'hopos-plugin') ?></small></div>
                </td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Add Shadow', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpAddShadow">
                	<?php if ($action == 'add') { ?>
                 	<option value="true" <?php if($hp_options['hpAddShadow'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($hp_options['hpAddShadow'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } else { ?>
                    <option value="true" <?php if($arr_settings['hpAddShadow'] == "true") { echo "selected='selected'"; } else { echo ""; } ?>>True</option>
                    <option value="false" <?php if($arr_settings['hpAddShadow'] == "false") { echo "selected='selected'"; } else { echo ""; }?>>False</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat alternate">
                <th scope="row"><?php _e('Order By', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpOrderby">
                	<?php if ($action == 'add') { ?>
                    <option value="ID" <?php if($hp_options['hpOrderby'] == "ID") { echo "selected='selected'"; } else { echo ""; } ?>>ID</option>
                    <option value="author" <?php if($hp_options['hpOrderby'] == "author") { echo "selected='selected'"; } else { echo ""; }?>>author</option>
                    <option value="title" <?php if($hp_options['hpOrderby'] == "title") { echo "selected='selected'"; } else { echo ""; }?>>title</option>
                    <option value="name" <?php if($hp_options['hpOrderby'] == "name") { echo "selected='selected'"; } else { echo ""; }?>>name</option>
                    <option value="date" <?php if($hp_options['hpOrderby'] == "date") { echo "selected='selected'"; } else { echo ""; }?>>date</option>
                    <option value="modified" <?php if($hp_options['hpOrderby'] == "modified") { echo "selected='selected'"; } else { echo ""; }?>>modified</option>
                    <option value="rand" <?php if($hp_options['hpOrderby'] == "rand") { echo "selected='selected'"; } else { echo ""; }?>>rand</option>
                    <option value="comment_count" <?php if($hp_options['hpOrderby'] == "comment_count") { echo "selected='selected'"; } else { echo ""; }?>>comment_count</option>
                    <?php } else { ?>
                    <option value="ID" <?php if($arr_settings['hpOrderby'] == "ID") { echo "selected='selected'"; } else { echo ""; } ?>>ID</option>
                    <option value="author" <?php if($arr_settings['hpOrderby'] == "author") { echo "selected='selected'"; } else { echo ""; }?>>author</option>
                    <option value="title" <?php if($arr_settings['hpOrderby'] == "title") { echo "selected='selected'"; } else { echo ""; }?>>title</option>
                    <option value="name" <?php if($arr_settings['hpOrderby'] == "name") { echo "selected='selected'"; } else { echo ""; }?>>name</option>
                    <option value="date" <?php if($arr_settings['hpOrderby'] == "date") { echo "selected='selected'"; } else { echo ""; }?>>date</option>
                    <option value="modified" <?php if($arr_settings['hpOrderby'] == "modified") { echo "selected='selected'"; } else { echo ""; }?>>modified</option>
                    <option value="rand" <?php if($arr_settings['hpOrderby'] == "rand") { echo "selected='selected'"; } else { echo ""; }?>>rand</option>
                    <option value="comment_count" <?php if($arr_settings['hpOrderby'] == "comment_count") { echo "selected='selected'"; } else { echo ""; }?>>comment_count</option>
                    <?php } ?>
                </select>
                </td>
                </tr>
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Order', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpOrder">
               		<?php if ($action == 'add') { ?>
                    <option value="DESC" <?php if($hp_options['hpOrder'] == "DESC") { echo "selected='selected'"; } else { echo ""; } ?>>DESC</option>
                    <option value="ASC" <?php if($hp_options['hpOrder'] == "ASC") { echo "selected='selected'"; } else { echo ""; }?>>ASC</option>
                    <?php } else { ?>
                    <option value="DESC" <?php if($arr_settings['hpOrder'] == "DESC") { echo "selected='selected'"; } else { echo ""; } ?>>DESC</option>
                    <option value="ASC" <?php if($arr_settings['hpOrder'] == "ASC") { echo "selected='selected'"; } else { echo ""; }?>>ASC</option>
                    <?php } ?>
                </select>
                </td>
                </tr>

                
                
                <tr valign="top" class="widefat">
                <th scope="row"><?php _e('Skin', 'hopos-plugin') ?></th>
                <td>
                <select style="width:120px;" id="hpSkin">
                	<?php if ($action == 'add') { ?>
                    <option value="basic" <?php if($hp_options['hpSkin'] == "basic") { echo "selected='selected'"; } else { echo ""; } ?>>Basic</option>
                    <option value="box" <?php if($hp_options['hpSkin'] == "box") { echo "selected='selected'"; } else { echo ""; }?>>Box</option>
                    <option value="custom" <?php if($hp_options['hpSkin'] == "custom") { echo "selected='selected'"; } else { echo ""; }?>>Custom</option>
                    <?php } else { ?>
                    <option value="basic" <?php if($arr_settings['hpSkin'] == "basic") { echo "selected='selected'"; } else { echo ""; } ?>>Basic</option>
                    <option value="box" <?php if($arr_settings['hpSkin'] == "box") { echo "selected='selected'"; } else { echo ""; }?>>Box</option>
                    <option value="custom" <?php if($arr_settings['hpSkin'] == "custom") { echo "selected='selected'"; } else { echo ""; }?>>Custom</option>
                    <?php } ?>
                </select>
                
                <div id="hpCustomSkinContainer" style="margin-top:15px;">
                <p>
                Note: To edit and personalize the slider, you need to have some knowledge of CSS.<br />
                Important: Do not change the name of the class. Only modify the properties.
                </p>
                <textarea id="hpCustomSkin" cols="100" rows="20" style="font-size:12px; line-height:14px;"><?php if ($action == 'add') { echo $hp_options['hpCustomSkin']; } else { echo $custom_skin; } ?></textarea>
                </div>
                
                </td>
                </tr>                
                
            </table>
            
            <div class="clear"></div>
            
            <div class="hpSubmit">
                <input type="button" name="save" id="save_hopos" class="button-primary" style="float:left" value="<?php _e('Save Changes', 'hopos-plugin'); ?>" /><div class="hpSaved">Saved</div><div class="hpPreload"></div>
                <input type="hidden" id="hp_action" value="<?php echo $action ?>" />
                <input type="hidden" id="hp_id" value="<?php if( isset($_REQUEST['id']) ) echo $_REQUEST['id'] ?>" />
                <input type="hidden" id="hp_url" value="<?php echo $urlSplit[0] ?>" />
            </div>
            
            <div class="clear"></div>
            
            <br><br>
    <a href="<?php echo $urlSplit[0] ?>&action=list">Back to Hopos List</a>
            
            <br><br><br>
        </form>
    </div>
    

<?php
}
?>